use<threads.scad>

/*[Parámetros]*/

//Longitud total del pomo
Largo = 100;

//Diámetro del pomo
Diametro = 25;  //[25:1:50]




module Pomo() {
//Cuerpo central del pomo 
  difference() {
    minkowski() {
        difference() {
            translate([0,0,Diametro/2-3]) rotate([0,90,0]) cylinder(Largo-3,d=Diametro-3,$fn=200);
            translate([-1,-Diametro/2,-4]) cube([Largo+2,Diametro,4]);
        }
        sphere(d=3,$fn=60);
    }
                translate([Largo/2-1.5,0,-4-1.5]) metric_thread(diameter=14.4, pitch=2, length=Diametro-3, internal=true, n_starts=1);
        }
}




Pomo();

